diff --git a/orocos_kdl/src/frames.hpp b/orocos_kdl/src/frames.hpp
index d6fcab4..2552706 100644
--- a/orocos_kdl/src/frames.hpp
+++ b/orocos_kdl/src/frames.hpp
@@ -127,6 +127,7 @@
 
 #include "utilities/kdl-config.h"
 #include "utilities/utility.h"
+#include "kdl_export.hpp"
 
 /////////////////////////////////////////////////////////////
 
@@ -148,7 +149,7 @@ class Frame2;
 /**
  * \brief A concrete implementation of a 3 dimensional vector class
  */
-class Vector
+class KDL_EXPORT Vector
 {
 public:
     double data[3];
@@ -201,21 +202,21 @@ public:
      inline Vector& operator +=(const Vector& arg);
 
      //! Scalar multiplication is defined
-     inline friend Vector operator*(const Vector& lhs,double rhs);
+     KDL_EXPORT inline friend Vector operator*(const Vector& lhs,double rhs);
      //! Scalar multiplication is defined
-     inline friend Vector operator*(double lhs,const Vector& rhs);
+     KDL_EXPORT inline friend Vector operator*(double lhs,const Vector& rhs);
      //! Scalar division is defined
 
-     inline friend Vector operator/(const Vector& lhs,double rhs);
-     inline friend Vector operator+(const Vector& lhs,const Vector& rhs);
-     inline friend Vector operator-(const Vector& lhs,const Vector& rhs);
-     inline friend Vector operator*(const Vector& lhs,const Vector& rhs);
-     inline friend Vector operator-(const Vector& arg);
-     inline friend double dot(const Vector& lhs,const Vector& rhs);
+     KDL_EXPORT inline friend Vector operator/(const Vector& lhs,double rhs);
+     KDL_EXPORT inline friend Vector operator+(const Vector& lhs,const Vector& rhs);
+     KDL_EXPORT inline friend Vector operator-(const Vector& lhs,const Vector& rhs);
+     KDL_EXPORT inline friend Vector operator*(const Vector& lhs,const Vector& rhs);
+     KDL_EXPORT inline friend Vector operator-(const Vector& arg);
+     KDL_EXPORT inline friend double dot(const Vector& lhs,const Vector& rhs);
 
      //! To have a uniform operator to put an element to zero, for scalar values
      //! and for objects.
-     inline friend void SetToZero(Vector& v);
+     KDL_EXPORT inline friend void SetToZero(Vector& v);
 
      //! @return a zero vector
      inline static Vector Zero();
@@ -244,12 +245,12 @@ public:
 
      //! do not use operator == because the definition of Equal(.,.) is slightly
      //! different.  It compares whether the 2 arguments are equal in an eps-interval
-     inline friend bool Equal(const Vector& a,const Vector& b,double eps=epsilon);
+     KDL_EXPORT inline friend bool Equal(const Vector& a,const Vector& b,double eps=epsilon);
 
 	 //! The literal equality operator==(), also identical.
-     inline friend bool operator==(const Vector& a,const Vector& b);
+     KDL_EXPORT inline friend bool operator==(const Vector& a,const Vector& b);
 	 //! The literal inequality operator!=().
-     inline friend bool operator!=(const Vector& a,const Vector& b);
+     KDL_EXPORT inline friend bool operator!=(const Vector& a,const Vector& b);
 
      friend class Rotation;
      friend class Frame;
@@ -289,7 +290,7 @@ public:
  \par type
   Concrete implementation
 */
-class Rotation
+class KDL_EXPORT Rotation
 {
 public:
     double data[9];
@@ -316,7 +317,7 @@ public:
      //!    Access to elements 0..2,0..2, bounds are checked when NDEBUG is not set
      inline double operator() (int i,int j) const;
 
-     friend Rotation operator *(const Rotation& lhs,const Rotation& rhs);
+     KDL_EXPORT friend Rotation operator *(const Rotation& lhs,const Rotation& rhs);
 
      //! Sets the value of *this to its inverse.
      inline void SetInverse();
@@ -535,12 +536,12 @@ public:
 
      //! do not use operator == because the definition of Equal(.,.) is slightly
      //! different.  It compares whether the 2 arguments are equal in an eps-interval
-     friend bool Equal(const Rotation& a,const Rotation& b,double eps);
+     KDL_EXPORT friend bool Equal(const Rotation& a,const Rotation& b,double eps);
 
 	 //! The literal equality operator==(), also identical.
-     friend bool operator==(const Rotation& a,const Rotation& b);
+     KDL_EXPORT friend bool operator==(const Rotation& a,const Rotation& b);
 	 //! The literal inequality operator!=()
-     friend bool operator!=(const Rotation& a,const Rotation& b);
+     KDL_EXPORT friend bool operator!=(const Rotation& a,const Rotation& b);
 
      friend class Frame;
 };
@@ -558,7 +559,7 @@ public:
     Frame.M contains columns that represent the axes of frame B wrt frame A
     Frame.p contains the origin of frame B expressed in frame A.
 */
-class Frame {
+class KDL_EXPORT Frame {
 public:
     Vector p;       //!< origine of the Frame
     Rotation M;     //!< Orientation of the Frame
@@ -625,7 +626,7 @@ public:
      inline Twist operator * (const Twist& arg) const;
 
      //! Composition of two frames.
-     inline friend Frame operator *(const Frame& lhs,const Frame& rhs);
+     KDL_EXPORT inline friend Frame operator *(const Frame& lhs,const Frame& rhs);
 
      //! @return the identity transformation Frame(Rotation::Identity(),Vector::Zero()).
      inline static Frame Identity();
@@ -694,12 +695,12 @@ public:
 
      //! do not use operator == because the definition of Equal(.,.) is slightly
      //! different.  It compares whether the 2 arguments are equal in an eps-interval
-     inline friend bool Equal(const Frame& a,const Frame& b,double eps=epsilon);
+     KDL_EXPORT inline friend bool Equal(const Frame& a,const Frame& b,double eps=epsilon);
 
 	 //! The literal equality operator==(), also identical.
-     inline friend bool operator==(const Frame& a,const Frame& b);
+     KDL_EXPORT inline friend bool operator==(const Frame& a,const Frame& b);
 	 //! The literal inequality operator!=().
-     inline friend bool operator!=(const Frame& a,const Frame& b);
+     KDL_EXPORT inline friend bool operator!=(const Frame& a,const Frame& b);
 };
 
 /**
@@ -708,7 +709,7 @@ public:
  * This class represents a twist.  A twist is the combination of translational
  * velocity and rotational velocity applied at one point.
 */
-class Twist {
+class KDL_EXPORT Twist {
 public:
     Vector vel; //!< The velocity of that point
     Vector rot; //!< The rotational velocity of that point.
@@ -738,19 +739,19 @@ public:
 	 return this->operator() ( index );
        }
 
-     inline friend Twist operator*(const Twist& lhs,double rhs);
-     inline friend Twist operator*(double lhs,const Twist& rhs);
-     inline friend Twist operator/(const Twist& lhs,double rhs);
-     inline friend Twist operator+(const Twist& lhs,const Twist& rhs);
-     inline friend Twist operator-(const Twist& lhs,const Twist& rhs);
-     inline friend Twist operator-(const Twist& arg);
-     inline friend double dot(const Twist& lhs,const Wrench& rhs);
-     inline friend double dot(const Wrench& rhs,const Twist& lhs);
-     inline friend void SetToZero(Twist& v);
+     KDL_EXPORT inline friend Twist operator*(const Twist& lhs,double rhs);
+     KDL_EXPORT inline friend Twist operator*(double lhs,const Twist& rhs);
+     KDL_EXPORT inline friend Twist operator/(const Twist& lhs,double rhs);
+     KDL_EXPORT inline friend Twist operator+(const Twist& lhs,const Twist& rhs);
+     KDL_EXPORT inline friend Twist operator-(const Twist& lhs,const Twist& rhs);
+     KDL_EXPORT inline friend Twist operator-(const Twist& arg);
+     KDL_EXPORT inline friend double dot(const Twist& lhs,const Wrench& rhs);
+     KDL_EXPORT inline friend double dot(const Wrench& rhs,const Twist& lhs);
+     KDL_EXPORT inline friend void SetToZero(Twist& v);
     /// Spatial cross product for 6d motion vectors, beware all of them have to be expressed in the same reference frame/point
-    inline friend Twist operator*(const Twist& lhs,const Twist& rhs);
+    KDL_EXPORT inline friend Twist operator*(const Twist& lhs,const Twist& rhs);
     /// Spatial cross product for 6d force vectors, beware all of them have to be expressed in the same reference frame/point
-    inline friend Wrench operator*(const Twist& lhs,const Wrench& rhs);
+    KDL_EXPORT inline friend Wrench operator*(const Twist& lhs,const Wrench& rhs);
 
      //! @return a zero Twist : Twist(Vector::Zero(),Vector::Zero())
      static inline Twist Zero();
@@ -769,12 +770,12 @@ public:
 
      //! do not use operator == because the definition of Equal(.,.) is slightly
      //! different.  It compares whether the 2 arguments are equal in an eps-interval
-     inline friend bool Equal(const Twist& a,const Twist& b,double eps=epsilon);
+     KDL_EXPORT inline friend bool Equal(const Twist& a,const Twist& b,double eps=epsilon);
 
 	 //! The literal equality operator==(), also identical.
-     inline friend bool operator==(const Twist& a,const Twist& b);
+     KDL_EXPORT inline friend bool operator==(const Twist& a,const Twist& b);
 	 //! The literal inequality operator!=().
-     inline friend bool operator!=(const Twist& a,const Twist& b);
+     KDL_EXPORT inline friend bool operator!=(const Twist& a,const Twist& b);
 
 // = Friends
     friend class Rotation;
@@ -866,7 +867,7 @@ public:
  *
  * This class represents a Wrench.  A Wrench is the force and torque applied at a point
  */
-class Wrench
+class KDL_EXPORT Wrench
 {
 public:
     Vector force;       //!< Force that is applied at the origin of the current ref frame
@@ -899,21 +900,21 @@ public:
        }
 
      //! Scalar multiplication
-     inline friend Wrench operator*(const Wrench& lhs,double rhs);
+     KDL_EXPORT inline friend Wrench operator*(const Wrench& lhs,double rhs);
      //! Scalar multiplication
-     inline friend Wrench operator*(double lhs,const Wrench& rhs);
+     KDL_EXPORT inline friend Wrench operator*(double lhs,const Wrench& rhs);
      //! Scalar division
-     inline friend Wrench operator/(const Wrench& lhs,double rhs);
+     KDL_EXPORT inline friend Wrench operator/(const Wrench& lhs,double rhs);
 
-     inline friend Wrench operator+(const Wrench& lhs,const Wrench& rhs);
-     inline friend Wrench operator-(const Wrench& lhs,const Wrench& rhs);
+     KDL_EXPORT inline friend Wrench operator+(const Wrench& lhs,const Wrench& rhs);
+     KDL_EXPORT inline friend Wrench operator-(const Wrench& lhs,const Wrench& rhs);
 
      //! An unary - operator
-     inline friend Wrench operator-(const Wrench& arg);
+     KDL_EXPORT inline friend Wrench operator-(const Wrench& arg);
 
      //! Sets the Wrench to Zero, to have a uniform function that sets an object or
      //! double to zero.
-     inline friend void SetToZero(Wrench& v);
+     KDL_EXPORT inline friend void SetToZero(Wrench& v);
 
      //! @return a zero Wrench
      static inline Wrench Zero();
@@ -932,12 +933,12 @@ public:
 
      //! do not use operator == because the definition of Equal(.,.) is slightly
      //! different.  It compares whether the 2 arguments are equal in an eps-interval
-     inline friend bool Equal(const Wrench& a,const Wrench& b,double eps=epsilon);
+     KDL_EXPORT inline friend bool Equal(const Wrench& a,const Wrench& b,double eps=epsilon);
 
 	 //! The literal equality operator==(), also identical.
-     inline friend bool operator==(const Wrench& a,const Wrench& b);
+     KDL_EXPORT inline friend bool operator==(const Wrench& a,const Wrench& b);
 	 //! The literal inequality operator!=().
-     inline friend bool operator!=(const Wrench& a,const Wrench& b);
+     KDL_EXPORT inline friend bool operator!=(const Wrench& a,const Wrench& b);
 
     friend class Rotation;
     friend class Frame;
@@ -947,7 +948,7 @@ public:
 
 
 //! 2D version of Vector
-class Vector2
+class KDL_EXPORT Vector2
 {
     double data[2];
 public:
@@ -986,14 +987,14 @@ public:
      inline Vector2& operator +=(const Vector2& arg);
 
 
-     inline friend Vector2 operator*(const Vector2& lhs,double rhs);
-     inline friend Vector2 operator*(double lhs,const Vector2& rhs);
-     inline friend Vector2 operator/(const Vector2& lhs,double rhs);
-     inline friend Vector2 operator+(const Vector2& lhs,const Vector2& rhs);
-     inline friend Vector2 operator-(const Vector2& lhs,const Vector2& rhs);
-     inline friend Vector2 operator*(const Vector2& lhs,const Vector2& rhs);
-     inline friend Vector2 operator-(const Vector2& arg);
-     inline friend void SetToZero(Vector2& v);
+     KDL_EXPORT inline friend Vector2 operator*(const Vector2& lhs,double rhs);
+     KDL_EXPORT inline friend Vector2 operator*(double lhs,const Vector2& rhs);
+     KDL_EXPORT inline friend Vector2 operator/(const Vector2& lhs,double rhs);
+     KDL_EXPORT inline friend Vector2 operator+(const Vector2& lhs,const Vector2& rhs);
+     KDL_EXPORT inline friend Vector2 operator-(const Vector2& lhs,const Vector2& rhs);
+     KDL_EXPORT inline friend Vector2 operator*(const Vector2& lhs,const Vector2& rhs);
+     KDL_EXPORT inline friend Vector2 operator-(const Vector2& arg);
+     KDL_EXPORT inline friend void SetToZero(Vector2& v);
 
      //! @return a zero 2D vector.
      inline static Vector2 Zero();
@@ -1025,20 +1026,20 @@ public:
 
      //! do not use operator == because the definition of Equal(.,.) is slightly
      //! different.  It compares whether the 2 arguments are equal in an eps-interval
-     inline friend bool Equal(const Vector2& a,const Vector2& b,double eps=epsilon);
+     KDL_EXPORT inline friend bool Equal(const Vector2& a,const Vector2& b,double eps=epsilon);
 
 	//! The literal equality operator==(), also identical.
-	inline friend bool operator==(const Vector2& a,const Vector2& b);
+	KDL_EXPORT inline friend bool operator==(const Vector2& a,const Vector2& b);
 	//! The literal inequality operator!=().
-	inline friend bool operator!=(const Vector2& a,const Vector2& b);
+	KDL_EXPORT inline friend bool operator!=(const Vector2& a,const Vector2& b);
 
-    friend class Rotation2;
+    KDL_EXPORT friend class Rotation2;
 };
 
 
 //! A 2D Rotation class, for conventions see Rotation. For further documentation
 //! of the methods see Rotation class.
-class Rotation2
+class KDL_EXPORT Rotation2
 {
     double s,c;
     //! c,s represent  cos(angle), sin(angle), this also represents first col. of rot matrix
@@ -1056,7 +1057,7 @@ public:
      //!    Access to elements 0..1,0..1, bounds are checked when NDEBUG is not set
      inline double operator() (int i,int j) const;
 
-     inline friend Rotation2 operator *(const Rotation2& lhs,const Rotation2& rhs);
+     KDL_EXPORT inline friend Rotation2 operator *(const Rotation2& lhs,const Rotation2& rhs);
 
      inline void SetInverse();
      inline Rotation2 Inverse() const;
@@ -1077,12 +1078,12 @@ public:
 
      //! do not use operator == because the definition of Equal(.,.) is slightly
      //! different.  It compares whether the 2 arguments are equal in an eps-interval
-     inline friend bool Equal(const Rotation2& a,const Rotation2& b,double eps=epsilon);
+     KDL_EXPORT inline friend bool Equal(const Rotation2& a,const Rotation2& b,double eps=epsilon);
 };
 
 //! A 2D frame class, for further documentation see the Frames class
 //! for methods with unchanged semantics.
-class Frame2
+class KDL_EXPORT Frame2
  {
 public:
     Vector2 p;          //!< origine of the Frame
@@ -1110,7 +1111,7 @@ public:
      inline Vector2 Inverse(const Vector2& arg) const;
      inline Frame2& operator = (const Frame2& arg);
      inline Vector2 operator * (const Vector2& arg);
-     inline friend Frame2 operator *(const Frame2& lhs,const Frame2& rhs);
+     KDL_EXPORT inline friend Frame2 operator *(const Frame2& lhs,const Frame2& rhs);
      inline void SetIdentity();
      inline void Integrate(const Twist& t_this,double frequency);
      inline static Frame2 Identity() {
@@ -1118,7 +1119,7 @@ public:
         tmp.SetIdentity();
         return tmp;
      }
-     inline friend bool Equal(const Frame2& a,const Frame2& b,double eps=epsilon);
+     KDL_EXPORT inline friend bool Equal(const Frame2& a,const Frame2& b,double eps=epsilon);
 };
 
 /**
@@ -1131,7 +1132,7 @@ public:
  * \param dt [optional][obsolete] time interval over which the numerical differentiation takes place.
  * \return the difference (b-a) expressed to the frame w.
  */
-IMETHOD Vector diff(const Vector& p_w_a,const Vector& p_w_b,double dt=1);
+KDL_EXPORT IMETHOD Vector diff(const Vector& p_w_a,const Vector& p_w_b,double dt=1);
 
 
 /**
@@ -1161,7 +1162,7 @@ IMETHOD Vector diff(const Vector& p_w_a,const Vector& p_w_b,double dt=1);
  * \warning - For angles equal to \f$ \pi \f$, The negative of the
  *          return value is equally valid. 
  */
-IMETHOD Vector diff(const Rotation& R_a_b1,const Rotation& R_a_b2,double dt=1);
+KDL_EXPORT IMETHOD Vector diff(const Rotation& R_a_b1,const Rotation& R_a_b2,double dt=1);
 
 /**
  * determines the rotation axis necessary to rotate the frame b1 to the same orientation as frame b2 and the vector
@@ -1171,19 +1172,19 @@ IMETHOD Vector diff(const Rotation& R_a_b1,const Rotation& R_a_b2,double dt=1);
  * \warning The result is not a Twist!  
  * see diff() for Rotation and Vector arguments for further detail on the semantics.
  */
-IMETHOD Twist diff(const Frame& F_a_b1,const Frame& F_a_b2,double dt=1);
+KDL_EXPORT IMETHOD Twist diff(const Frame& F_a_b1,const Frame& F_a_b2,double dt=1);
 
 /**
  * determines the difference between two twists i.e. the difference between
  * the underlying velocity vectors and rotational velocity vectors. 
  */
-IMETHOD Twist diff(const Twist& a,const Twist& b,double dt=1);
+KDL_EXPORT IMETHOD Twist diff(const Twist& a,const Twist& b,double dt=1);
 
 /**
  * determines the difference between two wrenches i.e. the difference between
  * the underlying torque vectors and force vectors. 
  */
-IMETHOD Wrench diff(const Wrench& W_a_p1,const Wrench& W_a_p2,double dt=1);
+KDL_EXPORT IMETHOD Wrench diff(const Wrench& W_a_p1,const Wrench& W_a_p2,double dt=1);
 
 /**
  * \brief adds vector da to vector a.
@@ -1192,7 +1193,7 @@ IMETHOD Wrench diff(const Wrench& W_a_p1,const Wrench& W_a_p2,double dt=1);
  * \param p_w_da vector da expressed to some frame w.
  * \returns the vector resulting from the displacement of vector a by vector da, expressed in the frame w.
  */
-IMETHOD Vector addDelta(const Vector& p_w_a,const Vector& p_w_da,double dt=1);
+KDL_EXPORT IMETHOD Vector addDelta(const Vector& p_w_a,const Vector& p_w_da,double dt=1);
 
 /**
  * returns the rotation matrix resulting from the rotation of frame a by the axis and angle
@@ -1206,7 +1207,7 @@ IMETHOD Vector addDelta(const Vector& p_w_a,const Vector& p_w_da,double dt=1);
  *          specified with da.   The resulting rotation matrix is expressed with respect to
  *          frame w.
  */
-IMETHOD Rotation addDelta(const Rotation& R_w_a,const Vector& da_w,double dt=1);
+KDL_EXPORT IMETHOD Rotation addDelta(const Rotation& R_w_a,const Vector& da_w,double dt=1);
 
 /**
  * returns the frame resulting from the rotation of frame a by the axis and angle
@@ -1218,7 +1219,7 @@ IMETHOD Rotation addDelta(const Rotation& R_w_a,const Vector& da_w,double dt=1);
  * \returns the frame resulting from the rotation of frame a by the axis and angle
  *          specified with da.rot, and the translation of the origin da_w.vel .  The resulting frame is expressed with respect to frame w.
  */
-IMETHOD Frame addDelta(const Frame& F_w_a,const Twist& da_w,double dt=1);
+KDL_EXPORT IMETHOD Frame addDelta(const Frame& F_w_a,const Twist& da_w,double dt=1);
 
 /**
  * \brief adds the twist da to the twist a.
@@ -1227,7 +1228,7 @@ IMETHOD Frame addDelta(const Frame& F_w_a,const Twist& da_w,double dt=1);
  * \param da a twist difference wrt some frame
  * \returns The twist (a+da) wrt the corresponding frame.
  */
-IMETHOD Twist addDelta(const Twist& a,const Twist&da,double dt=1);
+KDL_EXPORT IMETHOD Twist addDelta(const Twist& a,const Twist&da,double dt=1);
 
 
 /**
@@ -1238,7 +1239,7 @@ IMETHOD Twist addDelta(const Twist& a,const Twist&da,double dt=1);
  * \param da a wrench difference wrt some frame
  * \returns the wrench (a+da) wrt the corresponding frame.
  */
-IMETHOD Wrench addDelta(const Wrench& a,const Wrench&da,double dt=1);
+KDL_EXPORT IMETHOD Wrench addDelta(const Wrench& a,const Wrench&da,double dt=1);
 
 #ifdef KDL_INLINE
 //    #include "vector.inl"
diff --git a/orocos_kdl/src/frames_io.hpp b/orocos_kdl/src/frames_io.hpp
index a358d27..88a6645 100644
--- a/orocos_kdl/src/frames_io.hpp
+++ b/orocos_kdl/src/frames_io.hpp
@@ -80,6 +80,7 @@
 #include "frames.hpp"
 #include "jntarray.hpp"
 #include "jacobian.hpp"
+#include "kdl_export.hpp"
 
 namespace KDL {
 
@@ -88,25 +89,25 @@ namespace KDL {
 
 
     // I/O to C++ stream.
-    std::ostream& operator << (std::ostream& os,const Vector& v);
-    std::ostream& operator << (std::ostream& os,const Rotation& R);
-    std::ostream& operator << (std::ostream& os,const Frame& T);
-    std::ostream& operator << (std::ostream& os,const Twist& T);
-    std::ostream& operator << (std::ostream& os,const Wrench& T);
-    std::ostream& operator << (std::ostream& os,const Vector2& v);
-    std::ostream& operator << (std::ostream& os,const Rotation2& R);
-    std::ostream& operator << (std::ostream& os,const Frame2& T);
+    KDL_EXPORT std::ostream& operator << (std::ostream& os,const Vector& v);
+    KDL_EXPORT std::ostream& operator << (std::ostream& os,const Rotation& R);
+    KDL_EXPORT std::ostream& operator << (std::ostream& os,const Frame& T);
+    KDL_EXPORT std::ostream& operator << (std::ostream& os,const Twist& T);
+    KDL_EXPORT std::ostream& operator << (std::ostream& os,const Wrench& T);
+    KDL_EXPORT std::ostream& operator << (std::ostream& os,const Vector2& v);
+    KDL_EXPORT std::ostream& operator << (std::ostream& os,const Rotation2& R);
+    KDL_EXPORT std::ostream& operator << (std::ostream& os,const Frame2& T);
 
 
 
-    std::istream& operator >> (std::istream& is,Vector& v);
-    std::istream& operator >> (std::istream& is,Rotation& R);
-    std::istream& operator >> (std::istream& is,Frame& T);
-    std::istream& operator >> (std::istream& os,Twist& T);
-    std::istream& operator >> (std::istream& os,Wrench& T);
-    std::istream& operator >> (std::istream& is,Vector2& v);
-    std::istream& operator >> (std::istream& is,Rotation2& R);
-    std::istream& operator >> (std::istream& is,Frame2& T);
+    KDL_EXPORT std::istream& operator >> (std::istream& is,Vector& v);
+    KDL_EXPORT std::istream& operator >> (std::istream& is,Rotation& R);
+    KDL_EXPORT std::istream& operator >> (std::istream& is,Frame& T);
+    KDL_EXPORT std::istream& operator >> (std::istream& os,Twist& T);
+    KDL_EXPORT std::istream& operator >> (std::istream& os,Wrench& T);
+    KDL_EXPORT std::istream& operator >> (std::istream& is,Vector2& v);
+    KDL_EXPORT std::istream& operator >> (std::istream& is,Rotation2& R);
+    KDL_EXPORT std::istream& operator >> (std::istream& is,Frame2& T);
 
 
 } // namespace Frame
